# Get invoices

`GET https://api.strike.me/v1/invoices`

Source: https://docs.strike.me/api/get-invoices/

---

Required scopes:

- partner.invoice.read

OData supported operators:

- logical operators: **Or, And, Equal, GreaterThan, GreaterThanOrEqual, LessThan, LessThanOrEqual**
- arithmetic operators: **None**
- functions: **None**

OData filtering syntax can be seen [here](https://docs.microsoft.com/en-us/openspecs/windows_protocols/ms-odata/7d6c4117-317d-4860-915b-7e321be017e3). Ordering syntax can be seen [here](https://docs.microsoft.com/en-us/openspecs/windows_protocols/ms-odata/793b1e83-95ee-4446-8434-f5b634f20d1e).

## Query parameters

- `$filter` (string): Filter the results using OData syntax. Supported properties: **invoiceId**, **created**, **currency**, **state**, **issuerId**, **receiverId**, **payerId**, **correlationId**.
- `$orderby` (string): Order the results using OData syntax. Supported properties: **created**.
- `$skip` (int32): Skip the specified number of entries.
- `$top` (int32): Get the top X number of records. Max value: 100.

## Responses

### 200 OK

`application/json`

- `items` (object[], required): The page items.
  - `invoiceId` (uuid, required)
  - `amount` (object, required)
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `state` (string, required): One of `UNPAID`, `PENDING`, `PAID`, `CANCELLED`.
  - `created` (date-time, required)
  - `correlationId` (string): Invoice correlation id.
  - `description` (string): Invoice description.
  - `issuerId` (uuid, required): Id of the invoice issuer.
  - `receiverId` (uuid, required): Id of the invoice receiver.
  - `payerId` (uuid): Id of the invoice payer. Present only when invoice was created for the dedicated payer.
  - `transactions` (object[]): Transactions associated with this invoice. Only included when includeTransactions=true is passed.
    - `transactionId` (uuid, required): Unique identifier for the transaction.
    - `state` (string, required): Current state of the transaction. One of `PENDING`, `COMPLETED`.
    - `amountReceived` (object, required): Amount received in this transaction.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `created` (date-time, required): Timestamp when the transaction was created.
    - `completed` (date-time): Timestamp when the transaction completed. Present only when the transaction is completed.
- `count` (int64, required): Total number of records. When IsCountUnknown is true, this value should be ignored.
- `isCountUnknown` (boolean, required): Indicates whether the total count is unknown or could not be determined. When true, the Count property should be ignored.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
